# Generated by Django 3.2.5 on 2021-11-10 00:08

from django.db import migrations, models
import django.db.models.deletion
import timezone_field.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pluralkit_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('tupper_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, max_length=4096, null=True)),
                ('tag', models.TextField(blank=True, max_length=255, null=True)),
                ('avatar_url', models.TextField(blank=True, null=True)),
                ('timezone', timezone_field.fields.TimeZoneField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='System',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pluralkit_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('tupper_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, max_length=4096, null=True)),
                ('tag', models.CharField(blank=True, max_length=255, null=True)),
                ('avatar_url', models.TextField(blank=True, null=True)),
                ('timezone', timezone_field.fields.TimeZoneField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('owner_discord_id', models.CharField(blank=True, max_length=255, null=True, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pluralkit_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('tupper_id', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('tag', models.CharField(blank=True, max_length=255, null=True)),
                ('indicators', models.JSONField(blank=True, null=True)),
                ('pronouns', models.TextField(blank=True, null=True)),
                ('color', models.CharField(blank=True, help_text='Hex Codes accepted.', max_length=6, null=True)),
                ('avatar_url', models.TextField(blank=True, null=True)),
                ('birthday', models.DateField(blank=True, null=True)),
                ('description', models.TextField(blank=True, max_length=4096, null=True)),
                ('position', models.CharField(blank=True, max_length=255, null=True)),
                ('display_name', models.CharField(blank=True, max_length=255, null=True)),
                ('tupper_group_id', models.CharField(blank=True, max_length=20, null=True)),
                ('tupper_group_position', models.CharField(blank=True, max_length=20, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('groups', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='_members', to='system.group')),
                ('system', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='_members', to='system.system')),
            ],
        ),
        migrations.AddField(
            model_name='group',
            name='system',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='_groups', to='system.system'),
        ),
    ]
